Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #2220 (new defect)

Opened 13 years ago

Last modified 13 years ago

Madwifi 0.9.4 & kernel 2.6.28

Reported by: lefevred@free.fr Assigned to:
Priority: minor Milestone:
Component: madwifi: other Version: v0.9.4
Keywords: 2.6.28 Cc:
Patch is attached: 1 Pending: 0

Description (Last modified by mrenzmann)

When compiling, it complains about errors (like ticket #2022) but the patch (3748) is incomplete. In this ticket, the discussion is about the kernel of fedora. But, using the kernel source of www.kernel.org, it produces the same error.

/apps/wireless/atheros/madwifi/net80211/ieee80211_wireless.c: In function 'giwscan_cb':
/apps/wireless/atheros/madwifi/net80211/ieee80211_wireless.c:1810: error: passing argument 1 of 'iwe_stream_add_event' from incompatible pointer type
/apps/wireless/atheros/madwifi/net80211/ieee80211_wireless.c:1810: error: passing argument 3 of 'iwe_stream_add_event' from incompatible pointer type
/apps/wireless/atheros/madwifi/net80211/ieee80211_wireless.c:1810: error: passing argument 4 of 'iwe_stream_add_event' makes pointer from integer without a cast
/apps/wireless/atheros/madwifi/net80211/ieee80211_wireless.c:1810: error: too few arguments to function 'iwe_stream_add_event'

So, here is a patch that works with madwifi 0.9.4 & kernel 2.6.28. regards.

Attachments

ieee80211_wireless.patch.txt (6.5 kB) - added by lefevred@free.fr on 01/07/09 09:17:34.

Change History

01/07/09 09:17:34 changed by lefevred@free.fr

  • attachment ieee80211_wireless.patch.txt added.

01/07/09 10:09:45 changed by mrenzmann

  • description changed.

01/07/09 10:10:43 changed by mrenzmann

Thanks for the patch. Please note that patches need to be signed off before they could be submitted to the repository.

01/09/09 17:18:01 changed by g.bruno@t-online.de

I tried the patch (which took a lot of time), but the error when compiling for kernel 2.6.28 raised again. It is not the same error as that described above. You find details in the unhappily closed ticket 2216.

Could you provide another patch for my kind of error? Thanks.

Regards

Dr. H. Fender, Germany.

(follow-up: ↓ 5 ) 01/12/09 10:18:05 changed by Doff

Hi,

this has nothing to do with my patch.

See changeset 3602, or search for __skb_append and "2.6.26" in madwifi.

(in reply to: ↑ 4 ) 01/13/09 18:21:24 changed by anonymous

Replying to Doff:

Hi, this has nothing to do with my patch. See changeset 3602, or search for __skb_append and "2.6.26" in madwifi.

Hallo Doff,

finally I succeeded in compiling with kernel 2.6.28, but I get *.ko-files only in the subdirectory /usr/src/madwifi-0.9.4/net80211: 8 times wlan*.ko, but no ath_*.ko drivers etc. like with former kernel versions. Is this ok?

The search for _skb_append and "2.6.26" in madwifi did not give new informations.

Regards

Dr. H. Fender, Germany.

(follow-up: ↓ 7 ) 01/14/09 17:57:28 changed by g.bruno@t-online.de

Hallo Doff,

after a second trial to compile I got all ath*.ko-and wlan*.ko-modules like in the kernel-versions before (with the changeset 3602 above and patches for ieee80211_wlan.c). Modprobe ath_pci works well, too. But when starting my W-Lan, the mechanism of wpa_supplicant is started (because I use WAP-PSK), and after creating a etc/wpa_supplicant,conf I get the following error:

Initializing interface 'ath0' conf '/etc/wpa_supplicant.conf' driver 'madwifi' ctrl_interface 'N/A' bridge 'N/A'
Configuration file '/etc/wpa_supplicant.conf' -> '/etc/wpa_supplicant.conf'
Reading configuration file '/etc/wpa_supplicant.conf'
ctrl_interface='/var/run/wpa_supplicant'
Line: 14 - start of a new network block
ssid - hexdump_ascii(len=8):
     31 38 30 35 32 30 6d 66                           180520mf    
scan_ssid=1 (0x1)
PSK (ASCII passphrase) - hexdump_ascii(len=16): [REMOVED]
key_mgmt: 0x2
PSK (from passphrase) - hexdump(len=32): [REMOVED]
Priority group 0
   id=0 ssid='180520mf'
Initializing interface (2) 'ath0'
SIOCGIWRANGE: WE(compiled)=22 WE(source)=21 enc_capa=0xf
  capabilities: key_mgmt 0xf enc 0xf
WEXT: Operstate: linkmode=1, operstate=5
wpa_driver_madwifi_init: failed to set wpa_supplicant-based roaming
WEXT: Operstate: linkmode=0, operstate=6
Failed to initialize driver interface
Failed to add interface ath0
Cancelling scan request
Cancelling authentication timeout

... because of:

ioctl[IEEE80211_IOCTL_SETPARAM]: operation not supported.

I do not know, what this means. Is it a question of the driver or something else?

Thanks again for your help.

Regards

H. Fender

(in reply to: ↑ 6 ) 01/15/09 07:08:29 changed by mrenzmann

Replying to g.bruno@t-online.de:

Is it a question of the driver or something else?

Most important it is a question that is not related to this ticket. Please move all support questions to our regular support channels. Thanks.

(in reply to: ↑ description ) 01/15/09 07:10:03 changed by mrenzmann

Replying to lefevred@free.fr:

When compiling, it complains about errors (like ticket #2022) but the patch (3748) is incomplete.

proski has fixed all known compatibility issues up to and including 2.6.29-rc1, in trunk and most branches. Please update your working copy and see if the problem you report still exists.